NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
kvWatchOptions Struct Reference
Types

`#include <nats.h>`

## Public Attributes
bool | IgnoreDeletes
bool | IncludeHistory
bool | MetaOnly
int64_t | Timeout
| How long to wait (in milliseconds) for some operations to complete.

## Detailed Description

KeyValue watcher options object.

Initialize the object with kvWatchOptions_Init

## Member Data Documentation

## ◆ IgnoreDeletes

bool kvWatchOptions::IgnoreDeletes

## ◆ IncludeHistory

bool kvWatchOptions::IncludeHistory

## ◆ MetaOnly

bool kvWatchOptions::MetaOnly

## ◆ Timeout

int64_t kvWatchOptions::Timeout

The documentation for this struct was generated from the following file:

- nats.h